Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# fx-0.8.0/lib/file_preproc.cpp File Reference

## Detailed Description

File type detection, etc.

Implements AutoDetection of file type, and handoff to specific parsers.

Definition in file fx-0.8.0/lib/file_preproc.cpp.

Go to the source code of this file.

## Functions
const char * | libofx_get_file_format_description (const struct LibofxFileFormatInfo format_list[], enum LibofxFileFormat file_format)
enum LibofxFileFormat | libofx_get_file_format_from_str (const struct LibofxFileFormatInfo format_list[], const char *file_type_string)
CFCT int | libofx_proc_file (LibofxContextPtr p_libofx_context, const char *p_filename, LibofxFileFormat p_file_type)
enum LibofxFileFormat | libofx_detect_file_type (const char *p_filename)
| libofx_detect_file_type tries to analyze a file to determine it's format.
## Variables
const unsigned int | READ_BUFFER_SIZE = 1024

## Function Documentation

enum LibofxFileFormat libofx_detect_file_type | ( | const char * | p_filename | ) |

  | libofx_detect_file_type tries to analyze a file to determine it's format. Parameters:
  | p_filename | File name of the file to process
Returns: Detected file format, UNKNOWN if unsuccessfull. Definition at line 99 of file fx-0.8.0/lib/file_preproc.cpp.